Closed Bug 955459 Opened 7 years ago Closed 7 years ago

Support mIRC-style italics formatting

Categories

(Chat Core :: IRC, defect)

defect
Not set
trivial

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: bugzilla, Assigned: Mook)

Details

Attachments

(1 file)

*** Original post on bio 2022 by Mook <mook.moz+bugs.instantbird AT gmail.com> at 2013-06-28 03:32:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
Attached patch support 0x1dSplinter Review
*** Original post on bio 2022 as attmnt 2529 by mook.moz+bugs.instantbird AT gmail.com at 2013-06-28 03:32:00 UTC ***

Apparently, mIRC uses 0x1d for italics rather than 0x16.  The attached patch adds support for that (but does not pretend to let you _send_ such things).  Note that it just treats them the same, so \x16YES\x1dNO\x16YES\x1dNO would have the YES parts in italics, rather than, umm, some insane thing where they're all in italics.

Feel free to wontfix if being compatible with the insanity that is IRC will give you despair :D

http://forums.mirc.com/ubbthreads.php/topics/226258/Re_Italics_font_code#Post226258 has the number there, I'm still trying to track down a more-official-looking document...
Attachment #8354297 - Flags: review?(clokep)
*** Original post on bio 2022 by Mook <mook.moz+bugs.instantbird AT gmail.com> at 2013-06-28 03:36:13 UTC ***

Ah.
http://www.mirc.com/whatsnew.txt
under:

08/09/2010 - mIRC v7.11

50.Added support for ANSI italic control codes.
Comment on attachment 8354297 [details] [diff] [review]
support 0x1d

*** Original change on bio 2022 attmnt 2529 at 2013-06-28 12:36:21 UTC ***

http://www.visualirc.net/tech-attrs.php agrees with you too.
Attachment #8354297 - Flags: review?(clokep) → review+
*** Original post on bio 2022 at 2013-06-28 12:37:28 UTC ***

How did you even figure out this wasn't being done?
Assignee: nobody → bugzilla
Status: NEW → ASSIGNED
Whiteboard: [checkin-needed]
*** Original post on bio 2022 by mook.moz+bugs.instantbird AT gmail.com at 2013-06-29 06:02:47 UTC ***

http://hg.instantbird.org/instantbird/rev/4ef98ddd9842

Also, my mistake - it's actually mentioned in http://www.mirc.com/whatsnew.txt, but for mIRC 7.0 (2010-04-02) item #51:
  51.Added support for Control+I key combination to make italic text
     using control code 29.

(This was from a user showing up in #chatzilla talking about how it wasn't working in cZ; I got curious and checked the IB code.)
Status: ASSIGNED → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
*** Original post on bio 2022 at 2013-06-29 12:25:18 UTC ***

http://hg.instantbird.org/instantbird/rev/4ef98ddd9842
Whiteboard: [checkin-needed]
Target Milestone: --- → 1.5
Assignee: bugzilla → mook.moz+mozbz
You need to log in before you can comment on or make changes to this bug.